Bug 1719687

Summary: The Guest fails to initialize the AHCI PCI device which holds the boot disk
Product: Red Hat Enterprise Linux 8 Reporter: jingzhao <jinzhao>
Component: qemu-kvmAssignee: Sergio Lopez <slopezpa>
qemu-kvm sub component: Storage QA Contact: Yiqian Wei <yiwei>
Status: CLOSED WONTFIX Docs Contact: Jiri Herrmann <jherrman>
Severity: low    
Priority: low CC: coli, jherrman, juzhang, lmanasko, pasik, rbalakri, slopezpa, virt-maint, yiwei
Version: 8.1Keywords: Tracking
Target Milestone: rc   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Known Issue
Doc Text:
.Virtual machines sometimes fail to start when using many virtio-blk disks Adding a large number of virtio-blk devices to a virtual machine (VM) may exhaust the number of interrupt vectors available in the platform. If this occurs, the VM's guest OS fails to boot, and displays a `dracut-initqueue[392]: Warning: Could not boot` error.
Story Points: ---
Clone Of: Environment:
Last Closed: 2020-07-14 15:28:20 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description jingzhao 2019-06-12 10:52:48 UTC
This bug was initially created as a copy of Bug #1684466

I am copying this bug because: 



Description of problem:
boot rhel8 guest failed with 98 virtio disks that using multifunction of pcie-root-port,then login to guest via console serial:
...
[  185.591489] random: fast init done
[ TIME ] Timed out waiting for device dev-ma…d\x2d74\x2d\x2d184\x2dswap.device.
[DEPEND] Dependency failed for Resume from h…/dev/mapper/rhel_vm--74--184-swap.
[  OK  ] Reached target Local File Systems (Pre).
[  OK  ] Reached target Local File Systems.
         Starting Create Volatile Files and Directories...
[  OK  ] Started Create Volatile Files and Directories.
[  OK  ] Reached target System Initialization.
[  OK  ] Reached target Basic System.
[  318.489514] dracut-initqueue[392]: Warning: dracut-initqueue timeout - starting timeout scripts
[  319.072988] dracut-initqueue[392]: Warning: dracut-initqueue timeout - starting timeout scripts
---
[  384.064983] dracut-initqueue[392]: Warning: Could not boot.
...

Version-Release number of selected component (if applicable):
host version:
qemu-kvm-3.1.0-18.module+el8+2834+fa8bb6e2.x86_64
kernel-4.18.0-74.el8.x86_64
seabios-1.12.0-1.module+el8+2756+0dd6db45.x86_64
guest:rhel8(kernel-4.18.0-74.el8.x86_64)

How reproducible:
100%

Steps to Reproduce:
1.boot guest with cmd in attachment
2.In host,login to guest via console serial
# nc -U /tmp/console

Actual results:
---
[  318.489514] dracut-initqueue[392]: Warning: dracut-initqueue timeout - starting timeout scripts
[  319.072988] dracut-initqueue[392]: Warning: dracut-initqueue timeout - starting timeout scripts
---
[  384.064983] dracut-initqueue[392]: Warning: Could not boot.
...
Expected results:
guest can boot up and login success.

Additional info:

Comment 11 Ademar Reis 2020-02-05 22:59:11 UTC
QEMU has been recently split into sub-components and as a one-time operation to avoid breakage of tools, we are setting the QEMU sub-component of this BZ to "General". Please review and change the sub-component if necessary the next time you review this BZ. Thanks